Bug 128632 - security periodic 700.kernelmsg repeats messages
Summary: security periodic 700.kernelmsg repeats messages
Status: Open
Alias: None
Product: Base System
Classification: Unclassified
Component: conf (show other bugs)
Version: unspecified
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-bugs mailing list
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-11-06 05:40 UTC by ben
Modified: 2018-01-03 05:16 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description ben 2008-11-06 05:40:03 UTC
If a single kernel message is repeated frequently, the security periodic 700.kernelmsg will cause other kernel messages to show up in the security run output multiple times.  This is due to the fact that the size of the system message buffer is fixed so diff(1) doesn't recognize messages getting "pushed off the top" of the buffer.

For example, the contents of dmesg.yesterday:

lnc0: Missed packet -- no receive buffer
[lnc0... repeated 890 times]
pid 772 (httpd), uid 0: exited on signal 11 (core dumped)
lnc0: Missed packet -- no receive buffer
[lnc0... repeated 587 times]

and dmesg.today:

lnc0: Missed packet -- no receive buffer
[lnc0... repeated 838 times]
pid 772 (httpd), uid 0: exited on signal 11 (core dumped)
lnc0: Missed packet -- no receive buffer
[lnc0... repeated 639 times]

and the diff:

$ diff dmesg.yesterday dmesg.today
838a839
> pid 772 (httpd), uid 0: exited on signal 11 (core dumped)
891d891
< pid 772 (httpd), uid 0: exited on signal 11 (core dumped)

which isn't desirable since the message is not new and therefore shouldn't show up again in the security run output.

Fix: 

No known solution.
How-To-Repeat: Have one kernel message be printed frequently and others printed occasionally.
Comment 1 Eitan Adler freebsd_committer freebsd_triage 2017-12-31 08:01:34 UTC
For bugs matching the following criteria:

Status: In Progress Changed: (is less than) 2014-06-01

Reset to default assignee and clear in-progress tags.

Mail being skipped